Permalink
Browse files

version bump

  • Loading branch information...
1 parent f75af68 commit f81feca07ec04cfa7cc851f7aa1d493df8888892 @deepfryed committed Dec 31, 2012
Showing with 19 additions and 4 deletions.
  1. +9 −0 CHANGELOG
  2. +7 −1 Rakefile
  3. +3 −3 http-parser-lite.gemspec
View
@@ -1,3 +1,12 @@
+== 0.6.0 (2013-01-01)
+
+* Added on_status_complete callback (Oscar Del Ben).
+* Updated http_parser.c from joytent/http-parser.
+
+== 0.5.1 (2012-07-25)
+
+* Updated http_parser.c from joytent/http-parser.
+
== 0.5.0 (2012-07-21)
* merged in pull/118 upstream to support url parsing with username and password.
View
@@ -7,7 +7,7 @@ require 'rake/testtask'
$rootdir = Pathname.new(__FILE__).dirname
$gemspec = Gem::Specification.new do |s|
s.name = 'http-parser-lite'
- s.version = '0.5.1'
+ s.version = '0.6.0'
s.date = Date.today
s.authors = ['Bharanee Rathna']
s.email = ['deepfryed@gmail.com']
@@ -42,3 +42,9 @@ end
task default: :test
task :test => [:compile]
+
+desc 'tag release and build gem'
+task :release => [:test, :gemspec] do
+ system("git tag -m 'version #{$gemspec.version}' v#{$gemspec.version}") or raise "failed to tag release"
+ system("gem build #{$gemspec.name}.gemspec")
+end
View
@@ -2,15 +2,15 @@
Gem::Specification.new do |s|
s.name = "http-parser-lite"
- s.version = "0.5.1"
+ s.version = "0.6.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Bharanee Rathna"]
- s.date = "2012-07-25"
+ s.date = "2013-01-01"
s.description = "A lite ruby wrapper around Joyent http-parser"
s.email = ["deepfryed@gmail.com"]
s.extensions = ["ext/http-parser/extconf.rb"]
- s.files = ["ext/http-parser/ruby_http_parser.c", "ext/http-parser/http_parser.c", "ext/http-parser/http_parser.h", "ext/http-parser/extconf.rb", "test/helper.rb", "test/test_http_parser.rb", "lib/http-parser.rb", "lib/http-parser-lite.rb", "README.md", "CHANGELOG"]
+ s.files = ["ext/http-parser/http_parser.c", "ext/http-parser/ruby_http_parser.c", "ext/http-parser/http_parser.h", "ext/http-parser/extconf.rb", "test/helper.rb", "test/test_http_parser.rb", "lib/http-parser-lite.rb", "lib/http-parser.rb", "README.md", "CHANGELOG"]
s.homepage = "http://github.com/deepfryed/http-parser-lite"
s.require_paths = ["lib", "ext"]
s.rubygems_version = "1.8.24"

0 comments on commit f81feca

Please sign in to comment.